Bug 1275359 - Force Unlock works in unexpected way
Summary: Force Unlock works in unexpected way
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Designer
Version: 6.2.0
Hardware: All
OS: All
high
high
Target Milestone: ---
: ---
Assignee: Tihomir Surdilovic
QA Contact: Kirill Gaevskii
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-26 16:07 UTC by Kirill Gaevskii
Modified: 2020-03-27 19:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 19:05:32 UTC
Type: Bug


Attachments (Terms of Use)
Force Unlock behaviour (2.91 MB, application/octet-stream)
2015-10-26 16:07 UTC, Kirill Gaevskii
no flags Details

Description Kirill Gaevskii 2015-10-26 16:07:39 UTC
Created attachment 1086549 [details]
Force Unlock behaviour

Description of problem:
If you trying to Unlock some Business Process and then modify it after Saving you will have last state of previous modification by another user.

Version-Release number of selected component (if applicable):
6.2.ER4

How reproducible:
always

Steps to Reproduce:
1. Open Business Process by user A and make some changes without saving
2. Open the same Business Process by user B and Force Unlock this Business Process
3. Make some changes by user B
4. Click Save button by user B

Actual results:
User B will commit state of user A not his own. See attachment.

Expected results:
User B will save his own changes.

Additional info:

Comment 1 Kirill Gaevskii 2015-10-26 16:17:56 UTC
Update: It seems like Business Central will save both versions: from user A and from user B but commit from user A will be the last one. So it will be opened like actual version, but you can to restore version from user B through Overview tab.

Comment 2 Kirill Gaevskii 2016-02-09 17:06:51 UTC
Update:

When user B commit changes and will try to make some more changes Business Process will be reopen and user B will see version from user A. And that's really confusing thing especially if you don't know that "Latest Versions" has your work also.

P.S. Still valid for 6.3.0 DR1


Note You need to log in before you can comment on or make changes to this bug.